Bug 290561 - firefox execstack
firefox execstack
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 05:09 EDT by Need Real Name
Modified: 2008-01-28 10:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 10:27:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-09-14 05:09:26 EDT
Couldn't find this in bugzilla:

avc: denied { execstack } for comm="firefox-bin" egid=500 euid=500
exe="/usr/lib/firefox-2.0.0.5/firefox-bin" exit=-13 fsgid=500 fsuid=500 gid=500
items=0 pid=3735 scontext=user_u:system_r:unconfined_t:s0 sgid=500
subj=user_u:system_r:unconfined_t:s0 suid=500 tclass=process
tcontext=user_u:system_r:unconfined_t:s0 tty=(none) uid=500
Comment 1 Daniel Walsh 2007-09-14 10:05:11 EDT
This might be a bug in a plugin/extension that you have installed.

You can turn on allow_execstack boolean if this is causing firefox to not work.

setsebool -P allow_execstack=1
Comment 2 Zack Cerza 2008-01-25 18:34:26 EST
I saw this recently in rawhide, and it turned out to be Adobe's Flash plugin
that was marked as requiring execstack. I googled for a bit and found this page:

http://avi.alkalay.net/2007/10/flash-goes-mp4-aac-h264-mpeg4-avc.html

which has a comment stating that the marking of libflashplayer.so as needing
execstack was a mistake. I un-marked it via "execstack -c
/path/to/libflashplayer.so" and I'm no longer getting the avc, and flash appears
to work fine in enforcing mode.

Does that work for you?
Comment 3 Need Real Name 2008-01-26 06:26:47 EST
I don't have the problem (on F8) any more..
Comment 4 Zack Cerza 2008-01-28 10:27:47 EST
So easy it's almost too good to be true :)

Note You need to log in before you can comment on or make changes to this bug.